J3.x

Avertissement PHP sur PHP 7.0.9

From Joomla! Documentation

This page is a translated version of the page J3.x:PHP Warnings on PHP 7.0.9 and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎Nederlands
Joomla! 
3.6.0

Erreurs signalées

Warning: Parameter 1 to JError::customErrorPage() expected to be a reference, value given in JROOT\libraries\legacy\error\error.php on line 781

PHP Warning: Parameter 1 to PlgSystemRedirect::handleError() expected to be a reference, value given in JROOT/libraries/legacy/error/error.php on line 781

Versions affectées

Informations générales

Ce billet concerne uniquement les versions Joomla! : 3.6.0

Quelle est la cause ?

Une non rétrocompatibilité dans PHP 7.0.9 qui sera supprimée avec 7.0.10 (voir : https://bugs.php.net/bug.php?id=72698)

Comment résoudre l'anomalie ?

Appliquer : https://github.com/joomla/joomla-cms/pull/11360 ou attender la sortie de la version 3.6.1